Subject: Re: [RESEND][PATCH 00/11] sysfs tagged directories

From: Greg KH <[email-masked]>
Date: Tue, 6 May 2008 10:53:31 -0700

On Tue, May 06, 2008 at 07:30:30PM +0200, Benjamin Thery wrote:
> This is still the same port of Eric Biederman's patchset to implement
> tagged directories in sysfs that was discussed a few days ago.
> 
> This time it applies on top of 2.6.26-rc1, 
> which includes a fix from Daniel Lezcano to fix net device renaming
> for sysfs (and of course all the network namespaces stuff that was 
> committed in net-2.6.26).
> 
> This patchset still contains the patch from Serge Hallyn that implements
> tagging for user namespaces.
> 
> It also contains a patch from Daniel Lezcano which allows to have net 
> devices with the same name in two different network namespaces.

Does this all work properly with both CONFIG_SYSFS_DEPRECATED enabled
and disabled?

Can you show some outputs of 'tree' in both cases on the /sys/class/net/
directory?

thanks,

greg k-h